<?php
/**
 *
 * @author            alain91
 * @copyright      (C) 2009 Alain Gandon
 * @email              alain091@gmail.com
 * @license           GPL Version 2
 */

class Safe_alter
{
	function add_column($table, $column, $arg)
	{
		global $Sql;

		$query = $Sql->query_inject('SHOW COLUMNS FROM '.PREFIX.$table.' LIKE \''.$column.'\'', __LINE__, __FILE__);
		$result = $Sql->fetch_assoc($query);
		if ($result === FALSE)
		{
			$Sql->query_inject("ALTER TABLE `".PREFIX.$table."` ADD COLUMN ".$column." ".$arg, __LINE__, __FILE__);
		}
		else
		{
			echo "Le champ ".$column." existe dej dans la table ".PREFIX.$table."<br>\n";
			$_GET['filesupdate_errors'] = true;
			return FALSE;
		}
		return TRUE;
	}

	function add_index($table, $index_name, $column, $option='')
	{
		global $Sql, $admin_modules_update_errors;
		
		$query = $Sql->query_inject('SHOW COLUMNS FROM '.PREFIX.$table.' LIKE \''.$column.'\'', __LINE__, __FILE__);
		$result = $Sql->fetch_assoc($query);
		if ($result === FALSE)
		{
			echo "Le champ ".$column." n'existe pas dans la table ".PREFIX.$table."<br>\n";
			$_GET['filesupdate_errors'] = true;
			return FALSE;
		}
		
		$query = $Sql->query_inject('SHOW INDEX FROM '.PREFIX.$table, __LINE__, __FILE__);
		$found = FALSE;
		while( $result = $Sql->fetch_assoc($query) )
		{
			if ($result['Column_name'] == $column)
			{
				$found = true;
				break;
			}
		}
		if ($found === FALSE)
		{
			$Sql->query_inject("ALTER TABLE `".PREFIX.$table."` ADD ".$option." INDEX ".$index_name." (".$column.")", __LINE__, __FILE__);
		}
		else
		{
			echo "Un index sur le champ ". $column ." existe dej dans la table ".PREFIX.$table."<br>\n";
			$_GET['filesupdate_errors'] = true;
			return FALSE;
		}
		return TRUE;
	}
	
	function rename_column($table, $column1, $column2, $type)
	{
		global $Sql, $admin_modules_update_errors;

		$query = $Sql->query_inject('SHOW COLUMNS FROM '.PREFIX.$table.' LIKE \''.$column1.'\'', __LINE__, __FILE__);
		$result = $Sql->fetch_assoc($query);
		if ($result === FALSE)
		{
			echo "Le champ ".$column1." n'existe pas dans la table ".PREFIX.$table."<br>\n";
			$_GET['filesupdate_errors'] = true;
			return FALSE;
		}
		$Sql->query_inject("ALTER TABLE `".PREFIX.$table."` CHANGE COLUMN ".$column1." ".$column2." ".$type, __LINE__, __FILE__);
		return TRUE;
	}
}

