<?php
/**
 * smallads_begin.php
 * 
 * @author         alain91
 * @copyright      (C) 2009-2010 Alain Gandon
 * @email          alain091@gmail.com
 * @license        GPL version 2
 */

defined('PHPBOOST') OR die('Direct script access not allowed');

if (version_compare(PHP_VERSION, '5.0.0', '<')) {
    die ('Le module Smallads necessite PHP version 5');
}
	
load_module_lang('smallads'); //Chargement de la langue du module.
define('TITLE', $LANG['sa_title']);

define('ITEMS_PER_PAGE',	10);
define('MAX_LINKS',			3);
define('MAX_MINIMENU',		1);
define('MAX_FILESIZE_KO',	300);
define('MAXLEN_CONTENTS',	1000);
define('MAX_WEEKS',			12);

define('OWN_CRUD_ACCESS',	0x01);
define('UPDATE_ACCESS',		0x02);
define('DELETE_ACCESS',		0x04);
define('LIST_ACCESS',		0x08);
define('CONTRIB_ACCESS',	0x10);

$type_options = array(0 => $LANG['sa_group_all']);
for ($i = 1; $i <= 9; $i++) {
	if (!empty($LANG['sa_group_'.$i]))
		$type_options[$i] = $LANG['sa_group_'.$i];
	else
		break;
}

$sort_options = array( 'title' => $LANG['sa_sort_title'], 'date_created' => $LANG['sa_sort_date'], 'price' => $LANG['sa_sort_price']);
$mode_options = array( 'asc' => $LANG['sa_mode_asc'], 'desc' => $LANG['sa_mode_desc']);

$forgiven_tags = array('code', 'math', 'html');

?>