<?php
/**
 * contribution.php
 *
 * @author            alain91
 * @copyright      (C) 2008-2009 Alain Gandon (based on Guestbook)
 * @email              alain091@gmail.com
 * @license           GPL
 */
 
defined('PATH_TO_ROOT') or define('PATH_TO_ROOT','..');

require_once(PATH_TO_ROOT.'/kernel/begin.php');
require_once(PATH_TO_ROOT.'/smallads/smallads_begin.php');
require_once(PATH_TO_ROOT.'/smallads/smallads.class.php');

$Cache->load('smallads');

$smallads = new Smallads();

if (!$smallads->access_ok(CONTRIB_ACCESS)) {
	$Errorh->handler('e_auth', E_USER_REDIRECT);
	exit;
}

$Bread_crumb->add($LANG['sa_title'], url('smallads.php'));
$Bread_crumb->add($LANG['sa_contribution_confirmation'], url('contribution.php'));

// a laisser apres Bread_crumb
require_once(PATH_TO_ROOT.'/kernel/header.php');

$template = new Template('smallads/contribution.tpl');

$template->assign_vars(array(
	'L_CONTRIBUTION_CONFIRMATION' 			=> $LANG['sa_contribution_confirmation'],
	'L_CONTRIBUTION_SUCCESS' 				=> $LANG['sa_contribution_success'],
	'L_CONTRIBUTION_CONFIRMATION_EXPLAIN'	=> $LANG['sa_contribution_confirmation_explain']
));

$template->parse();

require_once(PATH_TO_ROOT.'/kernel/footer.php'); 

?>